Skip to main content
`Ctrl`+`K`

# numpy.testing.rundocs

testing.rundocs(filename=None, raise_on_error=True)

  Run doctests found in the given file.

  By default `rundocs` raises an AssertionError on failure.

  Parameters:
    filename str

      The path to the file for which the doctests are run.

    raise_on_error bool

      Whether to raise an AssertionError when a doctest fails. Default is True.

  Notes

  The doctests can be run by the user/developer by adding the `doctests` argument to the `test()` call. For example, to run all tests (including doctests) for `numpy.lib`:

      >>> np.lib.test(doctests=True)